const system=require("../../system");
const Dao=require("../dao.base");
class MirrorinfoDao extends Dao{
  constructor(){
    super(Dao.getModelName(MirrorinfoDao));
  }
  async findOne(paramappid,t){
    var app=  await this.model.findOne({where:{appid:paramappid}},{transaction:t});
    return app;
  }
  extraModelFilter(){
    return {"key":"include","value":[{model:this.db.models.code,attributes:["id","name"]}]};
  }
}
module.exports=MirrorinfoDao;
